BEGIN {sumX = 0; sumXX = 0; n = 0; bsent = 0; breceived = 0; connr = 0; connc = 0; maxc = 0; }

/TOTALS:.+/  {
     if (n == 0) {
        minX = $5;
        maxX = $5;
     }
     else {
        if ($5 > maxX)
           maxX = $5;
        if ($5 < minX) 
           minX = $5;
     }
     n += 1;
     sumX += $5;
     sumXX += $5 * $5;
  }

/bytes_sent/ {bsent = $2}
/bytes_received/ {breceived = $2}
/connections_received/ {connr = $2}
/connections_created/  {connc = $2}
/max_connections/ {maxc = $2}

END {

    if (n > 1) {
        stdev = (sumXX - sumX * sumX / n) / (n - 1);
        if (stdev >= 0.0) stdev = sqrt(stdev);
        }
    if (n > 0) {
        print "Test                  ", test;
        print "avg                   ", sumX / n;
        if (n > 1) 
        print "stddev                ", stdev;
        print "number of samples     ", n;
        print "min                   ", minX;
        print "max                   ", maxX;
        print "bytes_sent            ", bsent;
        print "bytes_received        ", breceived;
        print "connections_received  ", connr;
        print "connections_created   ", connc;
        print "max_connections       ", maxc;
   }
    else print "No Matches"
}
