BEGIN {sumX = 0; sumXX = 0; n = 0;}

/Accessed.+/  {
     if (n == 0) {
        minX = $5;
        maxX = $5;
     }
     else {
        if ($5 > maxX)
           maxX = $5;
        if ($5 < minX) 
           minX = $5;
     }
     n += 1;
     sumX += $5;
     sumXX += $5 * $5;
  }
 
END {

    if (n > 1) {
        stdev = (sumXX - sumX * sumX / n) / (n - 1);
        if (stdev >= 0.0) stdev = sqrt(stdev);
        }
    if (n > 0) {
        print "Test              ", test;
        print "avg               ", sumX / n;
        if (n > 1) print "stddev            ", stdev;
        print "number of samples ", n;
        print "min               ", minX;
        print "max               ", maxX;
    }
    else print "No Matches"
}
